package cn.iocoder.lyzsys.module.tjt.service.yearkvalue;

import cn.iocoder.lyzsys.framework.common.pojo.PageResult;
import cn.iocoder.lyzsys.module.tjt.controller.admin.yearkvalue.vo.YearKValuePageReqVO;
import cn.iocoder.lyzsys.module.tjt.controller.admin.yearkvalue.vo.YearKValueRespVO;
import cn.iocoder.lyzsys.module.tjt.controller.admin.yearkvalue.vo.YearKValueSaveReqVO;

public interface YearKValueService {

    Long createYearKValue(YearKValueSaveReqVO createReqVO);

    void updateYearKValue(YearKValueSaveReqVO updateReqVO);

    void deleteYearKValue(Long id);

    YearKValueRespVO getYearKValue(Long id);

    PageResult<YearKValueRespVO> getYearKValuePage(YearKValuePageReqVO pageReqVO);

}
